summaryrefslogtreecommitdiffstats
path: root/test/repos/lots_of_commits.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/repos/lots_of_commits.sh')
-rwxr-xr-xtest/repos/lots_of_commits.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/repos/lots_of_commits.sh b/test/repos/lots_of_commits.sh
new file mode 100755
index 000000000..7c271f751
--- /dev/null
+++ b/test/repos/lots_of_commits.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -ex; rm -rf repo; mkdir repo; cd repo
+
+git init
+
+i=2
+end=100
+while [ $i -le $end ]; do
+ echo "file${i}" > file${i}
+ git add file${i}
+ git commit -m file${i}
+
+ i=$(($i+1))
+done
+
+echo "unstaged change" > file100